<template>
<b-container fluid>
<b-row class="mt-5">
<b-col>
  <b-button variant="success" href="/card" style="float: right; margin: 15px; padding: 5px 10px;">New Project</b-button>
<b-jumbotron bg-variant="dark" border-variant="success">
  <b-card-group columns >
                    <b-card
                      v-for="jogo in jogos" :key="jogo.id"
                      
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-3"
                      bg-variant="secondary"
                    >
                    <b-card-text id="cardTitle">
                      <h1 >{{ jogo.nome }}</h1>
                      </b-card-text>
                      <b-card-text style="height: 4rem">
                        <p style="overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;">{{ jogo.descricao }}</p>
                      </b-card-text>
<b-badge variant="danger"> {{ jogo.categoria }}</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button :href="'jogo/'+ jogo.id" variant="light">Leia mais</b-button>
                    </b-card>
</b-card-group>
</b-jumbotron>
</b-col>
</b-row>
</b-container>
</template>

<script>

import jogos from '../../service/jogos';
export default{
    data() {
    return {
        id: this.$route.params.id,
      jogos: []
    }
  },
mounted(){
    jogos.listar().then(resposta => {
      console.log(resposta.data)
      this.jogos = resposta.data
    })
  }
}
</script>
<style>
#cardTitle{
  color: rgb(50, 24, 24);
  font-family: arial, bold;
  font-style: italic;
}
</style>